---
title: Patient Feedback Questionnaire
product: PDF Generator
description: Download a printable patient feedback questionnaire in PDF. Create editable or prefilled healthcare survey forms using SurveyJS PDF Generator.
framework: Vanilla JS
source: https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/vanillajs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Patient Feedback Questionnaire (Vanilla JS)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import { SurveyPDF } from "survey-pdf";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

const survey = new Model(json);
survey.showCompleteButton = false;
survey.navigationButtonsLocation = "topBottom";
survey.addNavigationItem({
    id: "survey_save_as_file",
    title: "Download PDF",
    action: () => {
        saveSurveyToPdf("surveyResult.pdf", survey);
    }
});
survey.addNavigationItem({
    id: "survey_pdf_preview",
    title: "Preview PDF",
    visible: window.navigator.pdfViewerEnabled,
    action: () => {
        previewPdf(survey);
    }
});
survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "title": "Patient Feedback Questionnaire",
  "pages": [
    {
      "name": "page-one",
      "elements": [
        {
          "type": "panel",
          "name": "introduction",
          "elements": [
            {
              "type": "text",
              "name": "doctors-name",
              "maxWidth": "70%",
              "title": "Patient questionnaire for Dr",
              "titleLocation": "top"
            },
            {
              "type": "text",
              "name": "date-picker",
              "minWidth": "250px",
              "maxWidth": "30%",
              "startWithNewLine": false,
              "title": "Date",
              "titleLocation": "top",
              "inputType": "date"
            },
            {
              "type": "html",
              "name": "statement",
              "html": "<p>\nAll doctors in training are expected to seek feedback on a regular basis from those they work with and treat. Information from patients, relatives and friends is an important part of this process. The feedback will be reviewed and acted upon where appropriate.\n</p>\n\n<p>\nThe answers you give should only be about today's consultation with the named doctor.\n</p>\n\n<p>\nPlease do <strong>NOT</strong> write your name on this questionnaire. You will not be identified when your answers are given back to the doctor.\n</p>"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "who-for",
          "title": "Are you filling in this questionnaire for: ",
          "descriptionLocation": "underInput",
          "choices": [
            "Yourself ",
            "Your child ",
            "Your spouse or partner ",
            "Another relative or friend"
          ],
          "colCount": 4
        },
        {
          "type": "html",
          "name": "question1",
          "html": "<p>If you are filling this in for someone else, please answer the following questions from the patient's point of view.</p>"
        },
        {
          "type": "checkbox",
          "name": "visit-reason",
          "title": " Which of the following best describes the reason you saw the doctor today?",
          "description": "(Please tick all the boxes that apply)",
          "choices": [
            "To ask for advice ",
            "Because of an ongoing problem ",
            "For treatment (including prescriptions)",
            "Because of a one-off problem ",
            "For a routine check "
          ],
          "showOtherItem": true,
          "otherText": "Other (please give details)",
          "colCount": 3,
          "maxSelectedChoices": 6,
          "minSelectedChoices": 1
        },
        {
          "type": "rating",
          "name": "visit-importance",
          "title": "On a scale of 1 to 5, how important to your health and wellbeing was your reason for visiting the doctor today?",
          "rateType": "stars",
          "minRateDescription": "Not very important",
          "maxRateDescription": "Very important"
        },
        {
          "type": "matrix",
          "name": "how-good-matrix",
          "title": "How good was your doctor today at each of the following?",
          "alternateRows": true,
          "rowTitleWidth": "180px",
          "columns": [
            {
              "value": "poor",
              "text": "Poor"
            },
            {
              "value": "less",
              "text": "Less than satisfactory"
            },
            {
              "value": "satisfactory",
              "text": "Satisfactory"
            },
            {
              "value": "good",
              "text": "Good"
            },
            {
              "value": "very-good",
              "text": "Very good"
            },
            {
              "value": "not-applicable",
              "text": "Does not apply"
            }
          ],
          "rows": [
            {
              "value": "polite",
              "text": "Being polite"
            },
            {
              "value": "ease",
              "text": "Making you feel at ease"
            },
            {
              "value": "listeb",
              "text": "Listening to you"
            },
            {
              "value": "assess",
              "text": "Assessing your medical condition"
            },
            {
              "value": "explain",
              "text": "Explaining your condition and treatment"
            },
            {
              "value": "involve",
              "text": "Involving you in decisions about your treatment"
            },
            {
              "value": "provide",
              "text": "Providing or arranging treatment for you"
            }
          ],
          "eachRowRequired": true
        },
        {
          "type": "matrix",
          "name": "agree-matrix",
          "title": "Please decide how strongly you agree or disagree with the following statements",
          "alternateRows": true,
          "rowTitleWidth": "180px",
          "columns": [
            {
              "value": "1",
              "text": "Strongly disagree"
            },
            {
              "value": "2",
              "text": "Disagree"
            },
            {
              "value": "3",
              "text": "Neutral"
            },
            {
              "value": "4",
              "text": "Agree"
            },
            {
              "value": "5",
              "text": "Strongly agree"
            },
            {
              "value": "6",
              "text": "Does not apply"
            }
          ],
          "rows": [
            {
              "value": "1",
              "text": "This doctor will keep information about me confidential"
            },
            {
              "value": "2",
              "text": "This doctor is honest and trustworthy"
            }
          ],
          "eachRowRequired": true
        },
        {
          "type": "boolean",
          "name": "confidence",
          "title": "I am confident about this doctor’s ability to provide care."
        },
        {
          "type": "boolean",
          "name": "happiness",
          "title": "I would be completely happy to see this doctor again."
        },
        {
          "type": "boolean",
          "name": "usual-doctor",
          "title": "Was this visit with your usual doctor? "
        },
        {
          "type": "comment",
          "name": "optional-comments",
          "title": "Please add any other comments you want to make about this doctor. ",
          "description": "Please note: No patients will be identified when this information is given to the doctor. ",
          "maxLength": 250,
          "rows": 2,
          "autoGrow": true
        }
      ]
    },
    {
      "name": "page-two",
      "elements": [
        {
          "type": "html",
          "name": "question3",
          "html": "<p>The next questions will provide the doctor with some basic information about who took part in the survey. If you are filling this in on behalf of a child or a patient with a disability, please provide details about the patient.</p>"
        },
        {
          "type": "panel",
          "name": "demographics",
          "elements": [
            {
              "type": "panel",
              "name": "gender_age",
              "elements": [
                {
                  "type": "radiogroup",
                  "name": "gender",
                  "title": "Are you:",
                  "titleLocation": "left",
                  "choices": [
                    "Female",
                    "Male"
                  ],
                  "colCount": 2
                },
                {
                  "type": "radiogroup",
                  "name": "age",
                  "title": "Age:",
                  "titleLocation": "left",
                  "choices": [
                    "Under 15",
                    "15–20",
                    "21–40",
                    "40–60",
                    "60 or over"
                  ],
                  "colCount": 5
                }
              ],
              "colCount": 2
            },

            {
              "type": "panel",
              "name": "ethnicity",
              "title": "What is your ethnic group?",
              "description": "Tick one box in each section if applicable.",
              "elements": [
                {
                  "type": "checkbox",
                  "name": "white",
                  "title": "A. White",
                  "choices": [
                    "British",
                    "Irish"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other White background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "mixed",
                  "title": "B. Mixed",
                  "choices": [
                    "White and Black Caribbean",
                    "White and Black African",
                    "White and Asian"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Mixed background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "asian",
                  "title": "C. Asian or Asian British",
                  "choices": [
                    "Indian",
                    "Pakistani",
                    "Bangladeshi"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Asian background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "black",
                  "title": "D. Black or Black British",
                  "choices": [
                    "Caribbean",
                    "African"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Black background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "other",
                  "title": "E. Chinese or other ethnic group",
                  "choices": [
                    "Chinese"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other (please write in)"
                }
              ]
            }
          ]
        }
        // {
        //   "type": "panel",
        //   "name": "gender-age-ethnicity-panel",
        //   "elements": [
        //     {
        //       "type": "radiogroup",
        //       "name": "gender",
        //       "title": "Are you:",
        //       "titleLocation": "left",
        //       "choices": [
        //         {
        //           "value": "Item 1",
        //           "text": "Female"
        //         },
        //         {
        //           "value": "Item 2",
        //           "text": "Male"
        //         }
        //       ],
        //       "colCount": 5
        //     },
        //     {
        //       "type": "radiogroup",
        //       "name": "age",
        //       "title": "Age:",
        //       "titleLocation": "left",
        //       "choices": [
        //         "Under 15 ",
        //         "15–20 ",
        //         "21–40 ",
        //         "40–60 ",
        //         "60 or over"
        //       ],
        //       "colCount": 5
        //     },
        //     {
        //       "type": "dropdown",
        //       "name": "ethnic group",
        //       "title": "What is your ethnic group?",
        //       "choices": [
        //         "A - White",
        //         "B - Mixed",
        //         "C - Asian or Asian British",
        //         "D - Black or Black British",
        //         "E - Chinese or other ethnic group"
        //       ]
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "white",
        //       "title": "If you selected 'White', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "british",
        //           "text": "British"
        //         },
        //         {
        //           "value": "irish",
        //           "text": "Irish"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other White background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "mixed",
        //       "title": "If you selected 'Mixed', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "whiteBlackCaribbean",
        //           "text": "White and Black Caribbean"
        //         },
        //         {
        //           "value": "whiteBlackAfrican",
        //           "text": "White and Black African"
        //         },
        //         {
        //           "value": "whiteAsian",
        //           "text": "White and Asian"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Mixed background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "asian",
        //       "title": "If you selected 'Asian or Asian British', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "indian",
        //           "text": "Indian"
        //         },
        //         {
        //           "value": "pakistani",
        //           "text": "Pakistani"
        //         },
        //         {
        //           "value": "bangladeshi",
        //           "text": "Bangladeshi"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Asian background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "black",
        //       "title": "If you selected 'Black or Black British', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "caribbean",
        //           "text": "Caribbean"
        //         },
        //         {
        //           "value": "african",
        //           "text": "African"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Black background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "other",
        //       "title": "If you selected 'Chinese or other ethnic group', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "chinese",
        //           "text": "Chinese"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other (please write in)",
        //       "colCount": 3
        //     }
        //   ]
        // }
      ]
    }
  ],
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-pdf": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/angular.md)
- [React](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/jquery.md)


---
title: Patient Feedback Questionnaire
product: PDF Generator
description: Download a printable patient feedback questionnaire in PDF. Create editable or prefilled healthcare survey forms using SurveyJS PDF Generator.
framework: React
source: https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/reactjs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Patient Feedback Questionnaire (React)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/SurveyPdfComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

function SurveyPdfComponent () {
    const survey = new Model(json);
    survey.showCompleteButton = false;
    survey.navigationButtonsLocation = "topBottom";
    survey.addNavigationItem({
        id: "survey_save_as_file",
        title: "Download PDF",
        action: () => {
            saveSurveyToPdf("surveyResult.pdf", survey);
        }
    });
    survey.addNavigationItem({
        id: "survey_pdf_preview",
        title: "Preview PDF",
        visible: window.navigator.pdfViewerEnabled,
        action: () => {
            previewPdf(survey);
        }
    });
    return (<Survey model={survey} />);
}

export default SurveyPdfComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyPdfComponent from "./SurveyPdfComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyPdfComponent />);
```

### `src/json.js`

```js
export const json = {
  "title": "Patient Feedback Questionnaire",
  "pages": [
    {
      "name": "page-one",
      "elements": [
        {
          "type": "panel",
          "name": "introduction",
          "elements": [
            {
              "type": "text",
              "name": "doctors-name",
              "maxWidth": "70%",
              "title": "Patient questionnaire for Dr",
              "titleLocation": "top"
            },
            {
              "type": "text",
              "name": "date-picker",
              "minWidth": "250px",
              "maxWidth": "30%",
              "startWithNewLine": false,
              "title": "Date",
              "titleLocation": "top",
              "inputType": "date"
            },
            {
              "type": "html",
              "name": "statement",
              "html": "<p>\nAll doctors in training are expected to seek feedback on a regular basis from those they work with and treat. Information from patients, relatives and friends is an important part of this process. The feedback will be reviewed and acted upon where appropriate.\n</p>\n\n<p>\nThe answers you give should only be about today's consultation with the named doctor.\n</p>\n\n<p>\nPlease do <strong>NOT</strong> write your name on this questionnaire. You will not be identified when your answers are given back to the doctor.\n</p>"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "who-for",
          "title": "Are you filling in this questionnaire for: ",
          "descriptionLocation": "underInput",
          "choices": [
            "Yourself ",
            "Your child ",
            "Your spouse or partner ",
            "Another relative or friend"
          ],
          "colCount": 4
        },
        {
          "type": "html",
          "name": "question1",
          "html": "<p>If you are filling this in for someone else, please answer the following questions from the patient's point of view.</p>"
        },
        {
          "type": "checkbox",
          "name": "visit-reason",
          "title": " Which of the following best describes the reason you saw the doctor today?",
          "description": "(Please tick all the boxes that apply)",
          "choices": [
            "To ask for advice ",
            "Because of an ongoing problem ",
            "For treatment (including prescriptions)",
            "Because of a one-off problem ",
            "For a routine check "
          ],
          "showOtherItem": true,
          "otherText": "Other (please give details)",
          "colCount": 3,
          "maxSelectedChoices": 6,
          "minSelectedChoices": 1
        },
        {
          "type": "rating",
          "name": "visit-importance",
          "title": "On a scale of 1 to 5, how important to your health and wellbeing was your reason for visiting the doctor today?",
          "rateType": "stars",
          "minRateDescription": "Not very important",
          "maxRateDescription": "Very important"
        },
        {
          "type": "matrix",
          "name": "how-good-matrix",
          "title": "How good was your doctor today at each of the following?",
          "alternateRows": true,
          "rowTitleWidth": "180px",
          "columns": [
            {
              "value": "poor",
              "text": "Poor"
            },
            {
              "value": "less",
              "text": "Less than satisfactory"
            },
            {
              "value": "satisfactory",
              "text": "Satisfactory"
            },
            {
              "value": "good",
              "text": "Good"
            },
            {
              "value": "very-good",
              "text": "Very good"
            },
            {
              "value": "not-applicable",
              "text": "Does not apply"
            }
          ],
          "rows": [
            {
              "value": "polite",
              "text": "Being polite"
            },
            {
              "value": "ease",
              "text": "Making you feel at ease"
            },
            {
              "value": "listeb",
              "text": "Listening to you"
            },
            {
              "value": "assess",
              "text": "Assessing your medical condition"
            },
            {
              "value": "explain",
              "text": "Explaining your condition and treatment"
            },
            {
              "value": "involve",
              "text": "Involving you in decisions about your treatment"
            },
            {
              "value": "provide",
              "text": "Providing or arranging treatment for you"
            }
          ],
          "eachRowRequired": true
        },
        {
          "type": "matrix",
          "name": "agree-matrix",
          "title": "Please decide how strongly you agree or disagree with the following statements",
          "alternateRows": true,
          "rowTitleWidth": "180px",
          "columns": [
            {
              "value": "1",
              "text": "Strongly disagree"
            },
            {
              "value": "2",
              "text": "Disagree"
            },
            {
              "value": "3",
              "text": "Neutral"
            },
            {
              "value": "4",
              "text": "Agree"
            },
            {
              "value": "5",
              "text": "Strongly agree"
            },
            {
              "value": "6",
              "text": "Does not apply"
            }
          ],
          "rows": [
            {
              "value": "1",
              "text": "This doctor will keep information about me confidential"
            },
            {
              "value": "2",
              "text": "This doctor is honest and trustworthy"
            }
          ],
          "eachRowRequired": true
        },
        {
          "type": "boolean",
          "name": "confidence",
          "title": "I am confident about this doctor’s ability to provide care."
        },
        {
          "type": "boolean",
          "name": "happiness",
          "title": "I would be completely happy to see this doctor again."
        },
        {
          "type": "boolean",
          "name": "usual-doctor",
          "title": "Was this visit with your usual doctor? "
        },
        {
          "type": "comment",
          "name": "optional-comments",
          "title": "Please add any other comments you want to make about this doctor. ",
          "description": "Please note: No patients will be identified when this information is given to the doctor. ",
          "maxLength": 250,
          "rows": 2,
          "autoGrow": true
        }
      ]
    },
    {
      "name": "page-two",
      "elements": [
        {
          "type": "html",
          "name": "question3",
          "html": "<p>The next questions will provide the doctor with some basic information about who took part in the survey. If you are filling this in on behalf of a child or a patient with a disability, please provide details about the patient.</p>"
        },
        {
          "type": "panel",
          "name": "demographics",
          "elements": [
            {
              "type": "panel",
              "name": "gender_age",
              "elements": [
                {
                  "type": "radiogroup",
                  "name": "gender",
                  "title": "Are you:",
                  "titleLocation": "left",
                  "choices": [
                    "Female",
                    "Male"
                  ],
                  "colCount": 2
                },
                {
                  "type": "radiogroup",
                  "name": "age",
                  "title": "Age:",
                  "titleLocation": "left",
                  "choices": [
                    "Under 15",
                    "15–20",
                    "21–40",
                    "40–60",
                    "60 or over"
                  ],
                  "colCount": 5
                }
              ],
              "colCount": 2
            },

            {
              "type": "panel",
              "name": "ethnicity",
              "title": "What is your ethnic group?",
              "description": "Tick one box in each section if applicable.",
              "elements": [
                {
                  "type": "checkbox",
                  "name": "white",
                  "title": "A. White",
                  "choices": [
                    "British",
                    "Irish"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other White background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "mixed",
                  "title": "B. Mixed",
                  "choices": [
                    "White and Black Caribbean",
                    "White and Black African",
                    "White and Asian"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Mixed background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "asian",
                  "title": "C. Asian or Asian British",
                  "choices": [
                    "Indian",
                    "Pakistani",
                    "Bangladeshi"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Asian background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "black",
                  "title": "D. Black or Black British",
                  "choices": [
                    "Caribbean",
                    "African"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Black background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "other",
                  "title": "E. Chinese or other ethnic group",
                  "choices": [
                    "Chinese"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other (please write in)"
                }
              ]
            }
          ]
        }
        // {
        //   "type": "panel",
        //   "name": "gender-age-ethnicity-panel",
        //   "elements": [
        //     {
        //       "type": "radiogroup",
        //       "name": "gender",
        //       "title": "Are you:",
        //       "titleLocation": "left",
        //       "choices": [
        //         {
        //           "value": "Item 1",
        //           "text": "Female"
        //         },
        //         {
        //           "value": "Item 2",
        //           "text": "Male"
        //         }
        //       ],
        //       "colCount": 5
        //     },
        //     {
        //       "type": "radiogroup",
        //       "name": "age",
        //       "title": "Age:",
        //       "titleLocation": "left",
        //       "choices": [
        //         "Under 15 ",
        //         "15–20 ",
        //         "21–40 ",
        //         "40–60 ",
        //         "60 or over"
        //       ],
        //       "colCount": 5
        //     },
        //     {
        //       "type": "dropdown",
        //       "name": "ethnic group",
        //       "title": "What is your ethnic group?",
        //       "choices": [
        //         "A - White",
        //         "B - Mixed",
        //         "C - Asian or Asian British",
        //         "D - Black or Black British",
        //         "E - Chinese or other ethnic group"
        //       ]
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "white",
        //       "title": "If you selected 'White', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "british",
        //           "text": "British"
        //         },
        //         {
        //           "value": "irish",
        //           "text": "Irish"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other White background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "mixed",
        //       "title": "If you selected 'Mixed', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "whiteBlackCaribbean",
        //           "text": "White and Black Caribbean"
        //         },
        //         {
        //           "value": "whiteBlackAfrican",
        //           "text": "White and Black African"
        //         },
        //         {
        //           "value": "whiteAsian",
        //           "text": "White and Asian"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Mixed background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "asian",
        //       "title": "If you selected 'Asian or Asian British', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "indian",
        //           "text": "Indian"
        //         },
        //         {
        //           "value": "pakistani",
        //           "text": "Pakistani"
        //         },
        //         {
        //           "value": "bangladeshi",
        //           "text": "Bangladeshi"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Asian background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "black",
        //       "title": "If you selected 'Black or Black British', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "caribbean",
        //           "text": "Caribbean"
        //         },
        //         {
        //           "value": "african",
        //           "text": "African"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Black background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "other",
        //       "title": "If you selected 'Chinese or other ethnic group', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "chinese",
        //           "text": "Chinese"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other (please write in)",
        //       "colCount": 3
        //     }
        //   ]
        // }
      ]
    }
  ],
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-pdf": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/angular.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/vanillajs.md)


---
title: Patient Feedback Questionnaire
product: PDF Generator
description: Download a printable patient feedback questionnaire in PDF. Create editable or prefilled healthcare survey forms using SurveyJS PDF Generator.
framework: Angular
source: https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/angular
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Patient Feedback Questionnaire (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "title": "Patient Feedback Questionnaire",
  "pages": [
    {
      "name": "page-one",
      "elements": [
        {
          "type": "panel",
          "name": "introduction",
          "elements": [
            {
              "type": "text",
              "name": "doctors-name",
              "maxWidth": "70%",
              "title": "Patient questionnaire for Dr",
              "titleLocation": "top"
            },
            {
              "type": "text",
              "name": "date-picker",
              "minWidth": "250px",
              "maxWidth": "30%",
              "startWithNewLine": false,
              "title": "Date",
              "titleLocation": "top",
              "inputType": "date"
            },
            {
              "type": "html",
              "name": "statement",
              "html": "<p>\nAll doctors in training are expected to seek feedback on a regular basis from those they work with and treat. Information from patients, relatives and friends is an important part of this process. The feedback will be reviewed and acted upon where appropriate.\n</p>\n\n<p>\nThe answers you give should only be about today's consultation with the named doctor.\n</p>\n\n<p>\nPlease do <strong>NOT</strong> write your name on this questionnaire. You will not be identified when your answers are given back to the doctor.\n</p>"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "who-for",
          "title": "Are you filling in this questionnaire for: ",
          "descriptionLocation": "underInput",
          "choices": [
            "Yourself ",
            "Your child ",
            "Your spouse or partner ",
            "Another relative or friend"
          ],
          "colCount": 4
        },
        {
          "type": "html",
          "name": "question1",
          "html": "<p>If you are filling this in for someone else, please answer the following questions from the patient's point of view.</p>"
        },
        {
          "type": "checkbox",
          "name": "visit-reason",
          "title": " Which of the following best describes the reason you saw the doctor today?",
          "description": "(Please tick all the boxes that apply)",
          "choices": [
            "To ask for advice ",
            "Because of an ongoing problem ",
            "For treatment (including prescriptions)",
            "Because of a one-off problem ",
            "For a routine check "
          ],
          "showOtherItem": true,
          "otherText": "Other (please give details)",
          "colCount": 3,
          "maxSelectedChoices": 6,
          "minSelectedChoices": 1
        },
        {
          "type": "rating",
          "name": "visit-importance",
          "title": "On a scale of 1 to 5, how important to your health and wellbeing was your reason for visiting the doctor today?",
          "rateType": "stars",
          "minRateDescription": "Not very important",
          "maxRateDescription": "Very important"
        },
        {
          "type": "matrix",
          "name": "how-good-matrix",
          "title": "How good was your doctor today at each of the following?",
          "alternateRows": true,
          "rowTitleWidth": "180px",
          "columns": [
            {
              "value": "poor",
              "text": "Poor"
            },
            {
              "value": "less",
              "text": "Less than satisfactory"
            },
            {
              "value": "satisfactory",
              "text": "Satisfactory"
            },
            {
              "value": "good",
              "text": "Good"
            },
            {
              "value": "very-good",
              "text": "Very good"
            },
            {
              "value": "not-applicable",
              "text": "Does not apply"
            }
          ],
          "rows": [
            {
              "value": "polite",
              "text": "Being polite"
            },
            {
              "value": "ease",
              "text": "Making you feel at ease"
            },
            {
              "value": "listeb",
              "text": "Listening to you"
            },
            {
              "value": "assess",
              "text": "Assessing your medical condition"
            },
            {
              "value": "explain",
              "text": "Explaining your condition and treatment"
            },
            {
              "value": "involve",
              "text": "Involving you in decisions about your treatment"
            },
            {
              "value": "provide",
              "text": "Providing or arranging treatment for you"
            }
          ],
          "eachRowRequired": true
        },
        {
          "type": "matrix",
          "name": "agree-matrix",
          "title": "Please decide how strongly you agree or disagree with the following statements",
          "alternateRows": true,
          "rowTitleWidth": "180px",
          "columns": [
            {
              "value": "1",
              "text": "Strongly disagree"
            },
            {
              "value": "2",
              "text": "Disagree"
            },
            {
              "value": "3",
              "text": "Neutral"
            },
            {
              "value": "4",
              "text": "Agree"
            },
            {
              "value": "5",
              "text": "Strongly agree"
            },
            {
              "value": "6",
              "text": "Does not apply"
            }
          ],
          "rows": [
            {
              "value": "1",
              "text": "This doctor will keep information about me confidential"
            },
            {
              "value": "2",
              "text": "This doctor is honest and trustworthy"
            }
          ],
          "eachRowRequired": true
        },
        {
          "type": "boolean",
          "name": "confidence",
          "title": "I am confident about this doctor’s ability to provide care."
        },
        {
          "type": "boolean",
          "name": "happiness",
          "title": "I would be completely happy to see this doctor again."
        },
        {
          "type": "boolean",
          "name": "usual-doctor",
          "title": "Was this visit with your usual doctor? "
        },
        {
          "type": "comment",
          "name": "optional-comments",
          "title": "Please add any other comments you want to make about this doctor. ",
          "description": "Please note: No patients will be identified when this information is given to the doctor. ",
          "maxLength": 250,
          "rows": 2,
          "autoGrow": true
        }
      ]
    },
    {
      "name": "page-two",
      "elements": [
        {
          "type": "html",
          "name": "question3",
          "html": "<p>The next questions will provide the doctor with some basic information about who took part in the survey. If you are filling this in on behalf of a child or a patient with a disability, please provide details about the patient.</p>"
        },
        {
          "type": "panel",
          "name": "demographics",
          "elements": [
            {
              "type": "panel",
              "name": "gender_age",
              "elements": [
                {
                  "type": "radiogroup",
                  "name": "gender",
                  "title": "Are you:",
                  "titleLocation": "left",
                  "choices": [
                    "Female",
                    "Male"
                  ],
                  "colCount": 2
                },
                {
                  "type": "radiogroup",
                  "name": "age",
                  "title": "Age:",
                  "titleLocation": "left",
                  "choices": [
                    "Under 15",
                    "15–20",
                    "21–40",
                    "40–60",
                    "60 or over"
                  ],
                  "colCount": 5
                }
              ],
              "colCount": 2
            },

            {
              "type": "panel",
              "name": "ethnicity",
              "title": "What is your ethnic group?",
              "description": "Tick one box in each section if applicable.",
              "elements": [
                {
                  "type": "checkbox",
                  "name": "white",
                  "title": "A. White",
                  "choices": [
                    "British",
                    "Irish"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other White background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "mixed",
                  "title": "B. Mixed",
                  "choices": [
                    "White and Black Caribbean",
                    "White and Black African",
                    "White and Asian"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Mixed background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "asian",
                  "title": "C. Asian or Asian British",
                  "choices": [
                    "Indian",
                    "Pakistani",
                    "Bangladeshi"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Asian background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "black",
                  "title": "D. Black or Black British",
                  "choices": [
                    "Caribbean",
                    "African"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other Black background (please write in)"
                },
                {
                  "type": "checkbox",
                  "name": "other",
                  "title": "E. Chinese or other ethnic group",
                  "choices": [
                    "Chinese"
                  ],
                  "showOtherItem": true,
                  "otherText": "Any other (please write in)"
                }
              ]
            }
          ]
        }
        // {
        //   "type": "panel",
        //   "name": "gender-age-ethnicity-panel",
        //   "elements": [
        //     {
        //       "type": "radiogroup",
        //       "name": "gender",
        //       "title": "Are you:",
        //       "titleLocation": "left",
        //       "choices": [
        //         {
        //           "value": "Item 1",
        //           "text": "Female"
        //         },
        //         {
        //           "value": "Item 2",
        //           "text": "Male"
        //         }
        //       ],
        //       "colCount": 5
        //     },
        //     {
        //       "type": "radiogroup",
        //       "name": "age",
        //       "title": "Age:",
        //       "titleLocation": "left",
        //       "choices": [
        //         "Under 15 ",
        //         "15–20 ",
        //         "21–40 ",
        //         "40–60 ",
        //         "60 or over"
        //       ],
        //       "colCount": 5
        //     },
        //     {
        //       "type": "dropdown",
        //       "name": "ethnic group",
        //       "title": "What is your ethnic group?",
        //       "choices": [
        //         "A - White",
        //         "B - Mixed",
        //         "C - Asian or Asian British",
        //         "D - Black or Black British",
        //         "E - Chinese or other ethnic group"
        //       ]
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "white",
        //       "title": "If you selected 'White', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "british",
        //           "text": "British"
        //         },
        //         {
        //           "value": "irish",
        //           "text": "Irish"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other White background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "mixed",
        //       "title": "If you selected 'Mixed', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "whiteBlackCaribbean",
        //           "text": "White and Black Caribbean"
        //         },
        //         {
        //           "value": "whiteBlackAfrican",
        //           "text": "White and Black African"
        //         },
        //         {
        //           "value": "whiteAsian",
        //           "text": "White and Asian"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Mixed background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "asian",
        //       "title": "If you selected 'Asian or Asian British', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "indian",
        //           "text": "Indian"
        //         },
        //         {
        //           "value": "pakistani",
        //           "text": "Pakistani"
        //         },
        //         {
        //           "value": "bangladeshi",
        //           "text": "Bangladeshi"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Asian background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "black",
        //       "title": "If you selected 'Black or Black British', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "caribbean",
        //           "text": "Caribbean"
        //         },
        //         {
        //           "value": "african",
        //           "text": "African"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other Black background (please write in)",
        //       "colCount": 3
        //     },
        //     {
        //       "type": "checkbox",
        //       "name": "other",
        //       "title": "If you selected 'Chinese or other ethnic group', specify your background",
        //       "description": "Leave blank if not applicable.",
        //       "choices": [
        //         {
        //           "value": "chinese",
        //           "text": "Chinese"
        //         }
        //       ],
        //       "showOtherItem": true,
        //       "otherText": "Any other (please write in)",
        //       "colCount": 3
        //     }
        //   ]
        // }
      ]
    }
  ],
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/app/components/pdf.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/pdf.component.html`

```html
<survey [model]="model"></survey>
```

### `src/app/components/pdf.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { json } from "./json";
import "./pdf.component.css";
import "survey-core/survey-core.min.css";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./pdf.component.html",
    styleUrls: ["./pdf.component.css"]
})
export class SurveyPdfComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.showCompleteButton = false;
        survey.navigationButtonsLocation = "topBottom";
        survey.addNavigationItem({
            id: "survey_save_as_file",
            title: "Download PDF",
            action: () => {
                saveSurveyToPdf("surveyResult.pdf", survey);
            }
        });
        survey.addNavigationItem({
            id: "survey_pdf_preview",
            title: "Preview PDF",
            visible: window.navigator.pdfViewerEnabled,
            action: () => {
                previewPdf(survey);
            }
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyPdfComponent } from "./components/pdf.component";

@NgModule({
    declarations: [AppComponent, SurveyPdfComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;">
        <app-root></app-root>
    </div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css

```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "survey-pdf": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/pdf-healthcare-patient-feedback-questionnaire-template/vanillajs.md)
